XWIN(1)

NAME
XWin - X Server for the Cygwin environment on Microsoft Windows

SYNOPSIS
XWin [ options ] ...

DESCRIPTION
XWin is an X Server for the X Window System on the Cygwin environment running on Microsoft Windows.

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, XWin accepts the following command line switches:

-depth depth
    Specify the color depth, in bits per pixel, to use when running in fullscreen with a DirectDraw engine. This parameter is ignored if -fullscreen is not specified.

-emulate3buttons timeout
    Emulate a three button mouse; pressing both buttons within timeout milliseconds causes an emulated middle button press. The default timeout is 50 milliseconds.

-engine engine_type_id
    Override the server's automatically supported engine type. This parameter will be ignored if the specified engine type is not supported on the current system. The supported engine type ids are 1 - Shadow GDI, 2 - Shadow DirectDraw, and 4 - Shadow DirectDraw4. Additionally, there is a barely functional experimental engine type id 16 - Native GDI.

-fullscreen
    Run the server in fullscreen mode, as opposed to the default windowed mode.

-refresh rate_in_Hz
    Specify an optional refresh rate to use when running in fullscreen with a DirectDraw engine. This parameter is ignored if -fullscreen is not specified.

-screen screen_number width height
    Sets the display resolution for the X server to use on screen screen_number.

-nodecoration
    Draw the Cygwin/XFree86 window without a border or title bar.

-rootless
    EXPERIMENTAL: Run Cygwin/XFree86 in pseduo-rootless mode.

-lesspointer
    Hide the Windows mouse pointer when over an inactive XFree86 window

-scrollbars
    In windowed mode, allow screens bigger than the Windows desktop. Moreover, if the window has decorations, one can now resize it.

-clipupdates num_boxes
    Specify an optional threshold, above which the boxes in a shadow update operation will be collected into a GDI clipping region. The clipping region is then used to do a single bit block transfer that is constrained to the updated area by the clipping region. There is some overhead involved in creating, installing, destroying, and removing the clipping region, thus there may not be much benefit for a small number of boxes (less than 10). It is even possible that this functionality does not provide a benefit at any number of boxes; we can only determine the usefullness of this feature through testing. This parameter works in conjunction with engines 1, 2, and 4 (Shadow GDI, Shadow DirectDraw, and Shadow DirectDraw Non-Locking, respectively).

-emulatepseudo
    Create a depth 8 PseudoColor visual when running in depths 15, 16, 24, or 32, collectively known as TrueColor depths. The PseudoColor visual does not have correct colors, and it may crash, but it at least allows you to run your PseudoColor application in TrueColor modes.

-[no]unixkill
    Ctrl+Alt+Backspace exits the X Server

-[no]winkill
    Alt+F4 exits the X Server

SEE ALSO

X(__miscmansuffix__), Xserver(1), xdm(1), xinit(1), XWinrc(5)

BUGS
XWin and this man page still have many limitations. Some of the more obvious ones are:
- The display mode can not be changed once the X server has started.

AUTHORS
XFree86 was originally ported to Cygwin by Dakshinamurthy Karra, Dr. Peter Busch, John Fortin, and Suhaib Siddiqi. XWin is maintained by the Cygwin/XFree86 project, with hosting services provided by RedHat.

The following members, in alphabetical order by last name, of the Cygwin/XFree86 Team contributed to the XFree86 4.1.0 release:

Robert Collins - Cygwin developer, miscellaneous
Christopher Faylor - Management of hosting services, general programming guru
Alexander Gottwald - AltGr handling for non-U.S. keyboards
Alan Hourihane - XFree86 developer, patch reviewer, general programming guru
Pierre A Humblet - Debugging of socket-related crashes, developer
Harold L Hunt II - Project leader, lead developer, documentation, and website updates
Suhaib Siddiqi - Originator of the project